import '../../marianumconnect_query.dart';
import 'timetable_get_holidays_response.dart';

class TimetableGetHolidays extends MarianumConnectQuery {
  TimetableGetHolidays({super.dio});

  Future<TimetableGetHolidaysResponse> run() async =>
      TimetableGetHolidaysResponse(
        result: await getList('timetable/holidays', McHoliday.fromJson),
      );
}
